Bug 205931 - 2 videos plates, one pci, another one onboard, the active is the PCI and anaconda recognizes onboard
2 videos plates, one pci, another one onboard, the active is the PCI and anac...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhpxl (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Chris Lumens
Depends On:
  Show dependency treegraph
Reported: 2006-09-10 09:59 EDT by Fernando Seno
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-30 14:41:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fernando Seno 2006-09-10 09:59:49 EDT
Description of problem:

I possess 2 plates of video, one onboard sis 630 and another one pci Nvidia. In
boot BIOS of my system the active device is the plate pci, but during the
installation the plate is recognized onboard.In redhat 9,0 this did not happen! 

The established installation of redhat 9,0 is much more interesting of what the
current one 

Suggestion mine, redhat 9,0 comes back with the installation style, this redhat
was classic and its finishing was very good;) 

Version-Release number of selected component (if applicable):

Redhat  Enterprise 5.0 beta 1

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Fernando Seno 2006-09-10 10:05:14 EDT
only a complementation, the problem of detention of the video plate also happens
in the fedora, if they will be able inform the collaborating friends I am thankful 

 Only remembering, this did not happen in redhat 9.0 ;) 
Comment 2 Jeremy Katz 2006-09-11 16:23:31 EDT
Can you provide the output of kudzu -p -c VIDEO?
Comment 3 Fernando Seno 2006-09-11 17:54:40 EDT
kudzu detects the 2 plates when this initiating , I remove the configuration of
the plate onboard and configures the plate pci, with this decided ;)

The problem is:

- Because as much in the fedora, as in redhat, the installation detects the
plate onboard as being the used one, if I am using the plate pci ?

detail: in setup of the BIOS, I activated the plate pci, activating the plate
pci that it is the one that I use !!

The stranger, is that in redhat 9,0 install of redhat intelligently detected the
option that use at the moment 

They come back to use the detention of video of install of redhat 9,0, it is
intelligent in the detention 

but a suggestion, thanks ;) 
Comment 4 Peter Jones 2006-09-20 19:41:52 EDT
We still need the output of "kudzu -p -c VIDEO"
Comment 5 Fernando Seno 2006-09-20 22:03:09 EDT
class: VIDEO
bus: PCI
detached: 0
desc: "Silicon Integrated Systems [SiS] 65x/M650/740 PCI/AGP VGA Display Adapter"
video.xdriver: sis
vendorId: 1039
deviceId: 6325
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  1
pcidev:  0
pcifn:  0
class: VIDEO
bus: PCI
detached: 0
driver: nvidiafb
desc: "nVidia Corporation NV18 [GeForce4 MX 440 AGP 8x]"
video.xdriver: nv
vendorId: 10de
deviceId: 0181
subVendorId: 1682
subDeviceId: 201b
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  e
pcifn:  0
Comment 6 Jeremy Katz 2006-09-21 11:36:43 EDT
Bill/Adam -- have any ideas on ways to distinguish which is correct?
Comment 7 Adam Jackson 2006-09-29 12:20:35 EDT
Whichever one has VGA routed to it.  Hopefully they're on different busses, in
which case you look at the VGA BridgeCtl bit of each bridge, and whichever one
has that set is the PCI bus with VGA active (otherwise on bus 0).
Comment 8 Bill Nottingham 2006-09-29 12:38:45 EDT
How would anaconda like such information delineated?
Comment 9 Chris Lumens 2006-11-28 16:23:15 EST
If kudzu provides us with some sort of value like vgaIsRouted or similar for
each card, then VideoCardInfo.__init__ can use the first video card with that
value set instead of just using the first one it knows about.

Adam - does that sound reasonable?

This looks like a purely rhpxl problem instead of anaconda, but I'll leave it
assigned to anaconda for now.
Comment 11 Chris Lumens 2007-04-30 14:27:54 EDT
Still need an answer to my question in comment #9 and for kudzu to support
providing this information.
Comment 13 RHEL Product and Program Management 2007-04-30 14:41:20 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.